> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/content-collections/runtime-security/waas/deploy-waas/sanity-tests.md).

# WAAS Sanity Tests

Below are curl-based tests that can be used to verify endpoints have been properly defined. Make sure all changes are saved before running these tests. The method for verifying test results differs according to the selected action:

* **Alert** - Go to **Runtime Security > Monitor > Events** to see alerts logged by Prisma Cloud relating to this policy violation.
* **Prevent** - Commands return output similar to the following:

  ```
  HTTP/1.1 403 Forbidden
  Date: Wed, 15 Jul 2020 12:51:50 GMT
  Content-Type: text/html; charset=utf-8
  ```

## cURL Test Commands

In the following examples, replace `<http_hostname>` with your endpoint’s hostname and `<external_port>` with the web-facing port of your application. For testing HTTP header access control, also replace `<http_header_name>` with the header name set in the rule and `<http_header_value>` with set values.

SQL injection:

```
curl -I http://<http_hostname>:<external_port>/\?id\=%27%20OR%20%271
```

Cross-site scripting:

```
curl -I http://<http_hostname>:<external_port>/\?id\=\<script\>alert\(\1\)\</script\>
```

OS command injection:

```
curl -I http://<http_hostname>:<external_port>/\?id\=%3B+%2Fsbin%2Fshutdown
```

Code injection:

```
curl -I http://<http_hostname>:<external_port>/\?id\=phpinfo\(\)
```

Local file inclusion:

```
curl -I http://<http_hostname>:<external_port>/\?id\=../etc/passwd
```

Attack tools and vulnerability scanners:

```
curl -I -H 'User-Agent: sqlmap' http://<http_hostname>:<external_port>/
```

Shellshock protection:

```
curl -I -H "User-Agent: () { :; }; /bin/eject" http://<http_hostname>:<external_port>/
```

Malformed HTTP request:

```
curl -s -i -X GET -o /dev/null -D - -d '{"test":"test"}' http://<http_hostname>:<external_port>/
```

HTTP header access controls:

```
curl -H '<header_Name>: <header_value>' http://<http_hostname>:<external_port>/
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.prismacloud.io/content-collections/runtime-security/waas/deploy-waas/sanity-tests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
